#!/bin/sh
# the next line starts using tclsh \
exec tclsh "$0" $@

# Installation-script for Tgdbm and Qgdbm
set pkgdir "tgdbm0.5"
set so [info sharedlibextension]

# create the package-subdirecotry
if {![file exists $tcl_library/$pkgdir]} {
    if {[catch {file mkdir $tcl_library/$pkgdir} msg]} {
	error "Could not create directory '$tcl_library/$pkgdir'. $msg"
    }
    # change permission if possible
    if {[catch {file attributes $tcl_library/$pkgdir -permissions 0755} msg] 
	&& ($tcl_platform(platform) != "windows")} {
		error "Could not change permissions to 0755 on $tcl_library/$pkgdir. $msg"
	}
} else {
   # is package directory writable?
   if {![file writable $tcl_library/$pkgdir]} {
      error "You cannot write into directory $tcl_library/$pkgdir."
   }
}
puts "Installing tgdbm$so, qgdbm.tcl to $tcl_library/$pkgdir...."
if {[catch {file copy -force ./qgdbm.tcl ./pkgIndex.tcl ./tgdbm$so $tcl_library/$pkgdir/} msg]} {
   error "Could not copy qgdbm.tcl,pkgIndex.tcl or tgdbm$so to $tcl_library/$pkgdir/: $msg"
}

foreach file "qgdbm.tcl pkgIndex.tcl tgdbm$so" {
	if {[catch {file attributes $tcl_library/$pkgdir/$file -permissions 0644}]
	&& ($tcl_platform(platform) != "windows")} {
		error "Could not change permissions to 0644 on $tcl_library/$pkgdir/$file."
	}
}

puts "Installation finished.\nPlease check if 'gdbm$so' is installed on your system."

